Bug 242651 - (perl-Mail-Audit) Review Request: perl-Mail-Audit - something flexible to filter mail using Perl tests.
Review Request: perl-Mail-Audit - something flexible to filter mail using Pe...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Package Reviews List
:
Depends On: 489421
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 05:56 EDT by Jorge Bras
Modified: 2013-10-19 10:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 07:08:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rjones: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Jorge Bras 2007-06-05 05:56:48 EDT
Spec URL: http://house.konnekt.org/~jfb/rpms/perl-Mail-Audit.spec
SRPM URL: http://house.konnekt.org/~jfb/rpms/perl-Mail-Audit-2.218-1.fc7.src.rpm
Description: 
procmail is nasty. It has a tortuous and complicated recipe format, and I don't like it.
I wanted something flexible whereby I could filter my mail using Perl tests.

Mail::Audit was inspired by Tom Christiansen's audit_mail and deliverlib programs. It
allows a piece of email to be logged, examined, accepted into a mailbox, filtered,
resent elsewhere, rejected, replied to, and so on. It's designed to allow you to easily
create filter programs to stick in a .forward file or similar.

Mail::Audit groks MIME; when appropriate, it subclasses MIME::Entity. Read the
MIME::Tools man page for details.

This is my first package submit, so I think I need a sponsor.

Thanks.
Comment 1 Chris Weyl 2007-06-07 13:08:09 EDT
A couple comments... check out bug 242311 's comments also :)

The man pages must not be marked as %doc.  %doc is for random
documentation/examples/tests/etc that are useful but don't fit anywhere else.

There must be a %check section.

The perl_vendorlib/etc %defines at the top my raise some eyebrows; they haven't
really been needed since...  um.  RHEL3 days?  RHL9?  A review will probably
insist you either take them out, or conditionalize them such that the local
definitions aren't defined to the system already, a la:

%{?!perl_vendorlib: ...}

I'd just nix them, personally, unless you can make a case for needing them
somewhere.
Comment 3 Wilmer Jaramillo M. 2007-07-11 01:44:42 EDT
1.- Don't start the summary in perl-Mail-Audit.spec with the name of the package.
2.- On perl-Mail-Audit.spec description tag uses Capital Letters.
3.- You need to be consistent about your macro usage. If you want to use the
macroized forms like %{__perl} then you need to use %{__rm}, %{__install}, etc.
Comment 4 Jorge Bras 2007-07-26 09:39:23 EDT
Hello Wilmer,

Thank you for your comments.

The changes you suggested has been made, the files are in the same place.
Comment 5 Jason Tibbitts 2007-09-21 23:49:50 EDT
Please, one package review per ticket.  If this package require
perl-File-Tempdir, create a separate ticket for that package and have this
ticket depend on that one.

Also note that there's a more recent version of Mail::Audit available.

Finally, when you make any change to your package at all, please increase the
Release: number and put up fresh links.  I am unable to fetch either of the
src.rpms from comment #2.
Comment 6 Ruben Kerkhof 2008-01-19 17:52:20 EST
Jorge, can you please update the package according to the comments?
Comment 7 Jorge Bras 2008-01-21 08:00:25 EST
yes.

new packages here 
http://house.konnekt.org/files/software/SRPMS/,
http://house.konnekt.org/files/software/RPMS/

thanks.
Comment 8 Richard W.M. Jones 2008-02-28 14:33:58 EST
This package needs more BuildRequires.  During rpmbuild
I get the error below and all the tests fail.

Warning: prerequisite File::HomeDir 0.61 not found.
Warning: prerequisite File::Tempdir 0 not found.
Warning: prerequisite MIME::Entity 0 not found.
Warning: prerequisite Mail::Internet 0 not found.
Warning: prerequisite Mail::Mailer 0 not found.
Comment 9 Jorge Bras 2008-04-01 19:11:13 EDT
hi,

packages updated, accordingly to the comments, sorry for the delay.


http://house.konnekt.org/files/software/rpms/perl-Mail-Audit/

thanks
Comment 10 Richard W.M. Jones 2008-04-04 07:23:42 EDT
The summary should be: "Library for creating easy mail filters" or similar.
The current summary isn't clear.

Starting the package review anyway ...
Comment 11 Richard W.M. Jones 2008-04-04 07:32:52 EDT
- rpmlint output

  perl-Mail-Audit.noarch: W: manifest-in-perl-module
/usr/share/doc/perl-Mail-Audit-2.222/MANIFEST
  This perl module package contains a MANIFEST or a MANIFEST.SKIP file
  in the documentation directory.

  perl-Mail-Audit.noarch: E: useless-explicit-provides perl(Mail::Audit)
  This package provides 2 times the same capacity. It should only provide it
  once.

Please fix both of these.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines
+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture (i386)
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
- %defattr line

The %defattr line seems to be wrong.  I think it should be:
  %defattr(-,root,root,-)

+ %clean contains rm -rf $RPM_BUILD_ROOT
+ consistent use of macros
+ package must contain code or permissible content
n/a large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file
+ packages must not own files or directories owned by other packages
+ %install must start with rm -rf %{buildroot} etc.
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
(not done) reviewer should build the package in mock
(not done) the package should build into binary RPMs on all supported architectures
(ran tests) review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
+ shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

---

OK, a few things to be fixed there, but nothing major wrong with the
package.
Comment 12 Jorge Bras 2008-05-13 11:18:51 EDT
new packages in http://house.konnekt.org/files/software/rpms/perl-Mail-Audit/.

thanks,
./bras
Comment 13 Richard W.M. Jones 2008-09-09 09:09:36 EDT
I've just noticed this bug again - are you waiting for me to
re-review?
Comment 14 Richard W.M. Jones 2008-12-16 07:51:59 EST
Setting to Needinfo of reporter, to answer comment 13.  Otherwise
I'll close this one.
Comment 15 Jorge Bras 2008-12-16 10:39:42 EST
I posted the url with the new packages, for re-review, since I had fixed what you have pointed.

I had a problem with the server that was hosting the packages, I will post a new url with the packages for review, give me a day.
Comment 16 Jorge Bras 2008-12-18 11:51:22 EST
rpms here:

http://neo.konnekt.org/files/

thanks.
Comment 17 Richard W.M. Jones 2009-03-10 11:33:26 EDT
This is blocked by bug 489421.
Comment 18 Miroslav Suchý 2012-12-18 04:04:27 EST
Blocker is resolved. But rpms in #16 are unavailable. Can you please provide it, or close this BZ if you are not interested in any more.

Note You need to log in before you can comment on or make changes to this bug.